Lone Wolf Development Forums  

Go Back   Lone Wolf Development Forums > Hero Lab Forums > HL - Pathfinder Roleplaying Game

Notices

Reply
 
Thread Tools Display Modes
catman123456
Senior Member
 
Join Date: Mar 2011
Posts: 138

Old August 30th, 2021, 04:09 PM
Quote:
Originally Posted by TheIronGolem View Post
Two announcements:

1. I've posted new updates for USoP, legacy SoP, SoM, and Champions to address most of the issues reported here. If you downloaded updates in the last few minutes and are getting duplicate-record errors, try re-downloading Champions 1.5 again.

2. It is with mixed feelings that I announce my retirement from the Spheres project, and from Hero Lab work in general. However, just because I'm done doesn't mean Spheres is. WhiteUnggoy will be taking over for me from here on in. He will be handling development of any future Spheres packages as well as support, including through email at the same address. WhiteUnggoy has already done excellent work for Spheres with several of the Sphere Handbooks, as well as some nice enhancements he made for the UI elements. I couldn't leave the project in better hands.
Its been a fun ride and wishing you the best.
catman123456 is offline   #1091 Reply With Quote
Ualaa
Senior Member
 
Join Date: Sep 2013
Location: Vancouver, Canada.
Posts: 799

Old August 30th, 2021, 06:16 PM
I'm having issues with the package on my laptop.

I ran each of the sphere packages through the updater, to have the latest version of each, as the Wild Magic handbook had previously not shown an update on the desktop client but double clicking the update fixed USoP on the desktop.

Anyway, I ran each of the updates and there are a lot of Duplicate Records now.

File: Source - Drop Dead Studios - SoP.1st, line X - Source - Duplicate record encountered...

SoP.1st, line 121 in pSoPHBProt
SoP.1st, line 129 in pSoPHBFate
Sop.1st, line 137 in pSoPHBWar
Sop.1st, line 145 in pSoPHBTime
Sop.1st, line 153 in pSoPHBCon
Sop.1st, line 161 in pSoPHBCre
Sop.1st, line 169 in pSoPHBDest
Sop.1st, line 185 in pSoPHBDiv
Sop.1st, line 201 in pSoPHBNat
Sop.1st, line 209 in pSoPHBLit
Sop.1st, line 217 in pSoPHBMind
Sop.1st, line 225 in pSoPHBDth
Sop.1st, line 233 in pSoPHBDrk
Sop.1st, line 241 in pSoPBBlood
Sop.1st, line 249 in pSoPHBAlt
Sop.1st, line 257 in pSoPHBTele
Sop.1st, line 265 in pSoPHBWthr
Sop.1st, line 273 in pSoPHBIll
Sop.1st, line 280 in pSoPHBLife
Sop.1st, line 287 in pSoPHBWarp
SoPEX.1st, line 5 in pSoPExpOpt



My Sphere Packages and versions are:
Worldwalker's Handbook, V1.0
Pathfinder Pack, V1.20
Spheres of Might, V1.20
Spheres of Power, V1.54
Spheres of Power Expanded Options, V1.8
Shapeshifter's Handbook, V1.7
Sanguinist's Handbook, V1.1
Conjurer's Handbook, V1.2
Creator's Handbook, V1.2
Nyctomancer's Handbook, V1.3
Necromancer's Handbook, V1.1
Destroyer's Handbook, V1.11
Diviner's Handbook, V1.13
Enhancer's Handbook, V1.3
Auspician's Handbook, V1.4
Trickster's Handbook, V1.1
Vivomancer's Handbook, V1.3
Illuminator's Handbook, V1.2
Mentalist's Handbook, V1.12
Geomancer's Handbook, V1.5
Abjurer's Handbook, V1.0
Telekinetic's Handbook V1.4
Chronomancer's Handbook, V1.1
Battlemage's Handbook, V1.5
Wild Magic Handbook, V1.2
Spheres of Power Wild Magic Handbook, V1.0
*** Not sure why I have two Wild Magic, or which I should delete ***
Spheres of Power Tempestarian's Handbook, V1.1
Champions of the Spheres, V1.5
Ultimate Spheres of Power, V1.4



When I click OK and get into HL it says (three times):
No XP Cost mechanics found!
- - -
Ualaa is offline   #1092 Reply With Quote
Ualaa
Senior Member
 
Join Date: Sep 2013
Location: Vancouver, Canada.
Posts: 799

Old August 30th, 2021, 06:18 PM
Quote:
Originally Posted by TheIronGolem View Post
Two announcements:

1. I've posted new updates for USoP, legacy SoP, SoM, and Champions to address most of the issues reported here. If you downloaded updates in the last few minutes and are getting duplicate-record errors, try re-downloading Champions 1.5 again.

2. It is with mixed feelings that I announce my retirement from the Spheres project, and from Hero Lab work in general. However, just because I'm done doesn't mean Spheres is. WhiteUnggoy will be taking over for me from here on in. He will be handling development of any future Spheres packages as well as support, including through email at the same address. WhiteUnggoy has already done excellent work for Spheres with several of the Sphere Handbooks, as well as some nice enhancements he made for the UI elements. I couldn't leave the project in better hands.
Thank you for amazing work, Iron Golem.
Thank you WhiteUnggoy for continuing the project.

You are both very much appreciated.
Ualaa is offline   #1093 Reply With Quote
TheIronGolem
Senior Member
 
Join Date: Feb 2015
Posts: 676

Old August 30th, 2021, 07:17 PM
Quote:
Originally Posted by Ualaa View Post
I'm having issues with the package on my laptop.

It sounds like you already had USoP, but updated your legacy SoP sources. That would explain why you have duplicate-record errors; the files from USoP have many of the same Things as the files from the old sphere handbooks. If you re-download USoP, it should overwrite those legacy files. As for Wild Magic, I would go ahead and delete both, then reinstall whichever one shows up in the update menu.

EDIT: I also recommend you remove the update URL's from the legacy sources so that HL doesn't accidentally trick you into reinstalling legacy files over USoP later.

Last edited by TheIronGolem; August 30th, 2021 at 09:25 PM.
TheIronGolem is offline   #1094 Reply With Quote
willuwontu
Senior Member
 
Join Date: Sep 2014
Posts: 105

Old August 30th, 2021, 08:01 PM
Quote:
Originally Posted by TheIronGolem View Post
2. It is with mixed feelings that I announce my retirement from the Spheres project, and from Hero Lab work in general. However, just because I'm done doesn't mean Spheres is. WhiteUnggoy will be taking over for me from here on in. He will be handling development of any future Spheres packages as well as support, including through email at the same address. WhiteUnggoy has already done excellent work for Spheres with several of the Sphere Handbooks, as well as some nice enhancements he made for the UI elements. I couldn't leave the project in better hands.
We'll miss you! Thanks so much for all the work you've done over the years for this. It means so much to me to be able to use SoP/SoM in HL.
willuwontu is offline   #1095 Reply With Quote
Ualaa
Senior Member
 
Join Date: Sep 2013
Location: Vancouver, Canada.
Posts: 799

Old August 31st, 2021, 08:50 AM
Downloading and installing (from the Update Sources), the errors were still there.

I went ahead and deleted all my 3pp sources.
In addition to Spheres and Community Pack, that included some FGG stuff (Lost City of Barakus and Rappan Athuk).

There are now no errors on initial start up.
It gets past the Loading Data Files for game system.

If I'm interested in only Ultimate Psionics, Path of War, Spheres of Might, Champions of the Spheres and Ultimate Spheres of Power (plus the Lone Wolf/Paizo Pathfinder content), do I need any other packages?


*EDIT*
My player's Portfolio, for the existing campaign opened with errors.
It wanted Gestalt and Wild Magic, which I added through the updater.

There are no errors on starting Hero Lab.
Opening the portfolio, it says:

Step Through Darkness already exists and cannot be added again.
pSoPCsLvSP for pChosen2 of pick sopSpMind failed because sopSpMind no longer exists.
sopDbPrCon for usrChosen1 of pick sopTotAura failed because sopToTAura no longer exists.

Should I add any further packages?
I just purge the missing sources?

Last edited by Ualaa; August 31st, 2021 at 09:03 AM.
Ualaa is offline   #1096 Reply With Quote
Aril
Senior Member
 
Join Date: Jul 2019
Posts: 134

Old August 31st, 2021, 10:56 AM
Quote:
Originally Posted by TheIronGolem View Post
It sounds like you already had USoP, but updated your legacy SoP sources. That would explain why you have duplicate-record errors; the files from USoP have many of the same Things as the files from the old sphere handbooks. If you re-download USoP, it should overwrite those legacy files. As for Wild Magic, I would go ahead and delete both, then reinstall whichever one shows up in the update menu.

EDIT: I also recommend you remove the update URL's from the legacy sources so that HL doesn't accidentally trick you into reinstalling legacy files over USoP later.
If I purchase USoP, is the only place that I can download it DriveThruRPG? I saw another post indicating they don't have the most recent files.

Is there somewhere else I should purchase and download it to have the most up-to-date version?

Aril
Aril is offline   #1097 Reply With Quote
TheIronGolem
Senior Member
 
Join Date: Feb 2015
Posts: 676

Old August 31st, 2021, 11:56 AM
Quote:
Originally Posted by Ualaa View Post
Downloading and installing (from the Update Sources), the errors were still there.

I went ahead and deleted all my 3pp sources.
In addition to Spheres and Community Pack, that included some FGG stuff (Lost City of Barakus and Rappan Athuk).

There are now no errors on initial start up.
It gets past the Loading Data Files for game system.

If I'm interested in only Ultimate Psionics, Path of War, Spheres of Might, Champions of the Spheres and Ultimate Spheres of Power (plus the Lone Wolf/Paizo Pathfinder content), do I need any other packages?


*EDIT*
My player's Portfolio, for the existing campaign opened with errors.
It wanted Gestalt and Wild Magic, which I added through the updater.

There are no errors on starting Hero Lab.
Opening the portfolio, it says:

Step Through Darkness already exists and cannot be added again.
pSoPCsLvSP for pChosen2 of pick sopSpMind failed because sopSpMind no longer exists.
sopDbPrCon for usrChosen1 of pick sopTotAura failed because sopToTAura no longer exists.

Should I add any further packages?
I just purge the missing sources?
With the desired sources you mentioned, this is the minimum of what you should install:

Community Pack
Ultimate Spheres of Power
Spheres of Might
Champions of the Spheres

The order of SoP vs SoM doesn't really matter, but Community Pack should be first and Champions should be last.

If you have Wild Magic or the Bear handbook you can install those as well, but they aren't necessary. Any other legacy SoP books you may have (sphere handbooks or Expanded Options) should not be installed because USoP already contains them and you will get duplicate-record errors.

Quote:
Originally Posted by Aril View Post
If I purchase USoP, is the only place that I can download it DriveThruRPG? I saw another post indicating they don't have the most recent files.

Is there somewhere else I should purchase and download it to have the most up-to-date version?

Aril
Downloading from DriveThru may or may not get you the latest version (I did email them the files I created this weeked but don't know if DDS has posted them yet or not and am no longer in direct contact with them).

Using the update mechanism in HL will get you the most recent version (barring any issues with Dropbox, your Internet connection, etc). This is because when you set up the update URL in the readme file's instructions, this tells HL what the newest version of the package is and where to find it.

There is nowhere besides DriveThru to purchase the HL packages for SoP/SoM as far as I am aware, and you certainly shouldn't need to buy anything extra to stay up to date.

EDIT: It occurs to me you are probably asking as someone who has never purchased/installed SoP before, so my explanation may be lacking. Let me drill down a bit further:

When you buy and download a HL package from DriveThru (at least, the ones I made), you're getting a zip file that contains two important things: A readme file, and a .hl file. The .hl file is the installer, and will give you whatever version of SoP (or whatever) was bundled into that zip file. The readme file contains an "update URL" and instructions on how to enter that URL into Hero Lab. When you do that, HL will use that URL to look up the latest available version of the package, compare it to what you have, and (if what's out there is later than what you have) notify you that an update is available for download. So for example, if you bought/installed Ultimate Spheres of Power on DT and the zip contained version 1.3, and you also set up the update URL, the next time you started HL it would find that version 1.4 is available and ask if you want to download that. The long and short of it is, I can't guarantee that what you download from DT is the latest and greatest, so if you want to stay up to date you will want to make sure to follow the readme's instructions to set up the update mechanism. Hope that helps.

Last edited by TheIronGolem; August 31st, 2021 at 01:05 PM.
TheIronGolem is offline   #1098 Reply With Quote
asvaldson
Senior Member
 
Join Date: Mar 2010
Posts: 177

Old August 31st, 2021, 01:54 PM
Quote:
Originally Posted by TheIronGolem View Post
The long and short of it is, I can't guarantee that what you download from DT is the latest and greatest, so if you want to stay up to date you will want to make sure to follow the readme's instructions to set up the update mechanism. Hope that helps.
I often times don't even bother installing the .hl file. Every time I buy a sphere package, I go to the html file and get the update link and copy it into a text file that I keep things like TobyFoxx's, Shadows, and even a 5E custom file location. And then I put it herolabs and install from from that.
asvaldson is offline   #1099 Reply With Quote
WhiteUnggoy
Member
 
Join Date: Dec 2013
Posts: 61

Old September 1st, 2021, 12:47 AM
Hey all! Big thanks to TheIronGolem for all he's done, and for reaching out to me when he decided to step away. I'll let him stop fielding questions for now & take any more outstanding issues.

Ualaa, yes, you can go ahead & strip the missing sources. Those errors are cropping up from internal changes between versions & are mostly nothing to worry about; in this instance, I would double check the selections on any drawbacks or feats that target spheres/their base abilities.
WhiteUnggoy is offline   #1100 Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 02:17 PM.


Powered by vBulletin® - Copyright ©2000 - 2023, vBulletin Solutions, Inc.
wolflair.com copyright ©1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.